> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/accounts-api/seller/get-seller-icon.md).

# Get seller icon

Retrieves the icon for the seller.

## Get seller icon

> Get seller icon.\
> Available for public access (no authentication required).\
> Returns a redirect (307) to the icon binary URL.\
> Response uses a private blob cache profile.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5661-g83ffb015"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/accounts/sellers/{id}/icon":{"get":{"tags":["Sellers"],"summary":"Get seller icon","description":"Get seller icon.\nAvailable for public access (no authentication required).\nReturns a redirect (307) to the icon binary URL.\nResponse uses a private blob cache profile.","parameters":[{"name":"id","in":"path","description":"Seller identifier.","required":true,"schema":{"type":"string"}}],"responses":{"307":{"description":"Temporary Redirect"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/accounts-api/seller/get-seller-icon.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
